<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Listeners\Udalost;

use Seka\Portal\Modul\Terminy\Entities\Dtos\Factory\UdalostDTOFactory;
use Seka\Portal\Modul\Terminy\Events\Udalost\ZverejnenaUdalostBolaAktualizovana;

/**
 * Class AktualizovatUdalostVKalendari
 *
 * @package Seka\Portal\Modul\Terminy\Listeners\Udalost
 */
final class AktualizovatUdalostVKalendari extends UdalostVKalendari
{
    /**
     * @param \Seka\Portal\Modul\Terminy\Events\Udalost\ZverejnenaUdalostBolaAktualizovana $event
     *
     * @return void
     */
    public function handle(ZverejnenaUdalostBolaAktualizovana $event): void
    {
        $udalost = UdalostDTOFactory::make($event->udalost);

        $this->calendarService->updateEvent($udalost);
    }
}
